        SUBROUTINE print( x )
	 USE myStructModule

         TYPE(myStruct) :: x

         print *, "myStruct x = ", x

	 x%i = x%i + 1000
	 x%f = x%f + 1000
         print *, "Adding 1000 to myStruct x..."
        END SUBROUTINE

!========================================================

	PROGRAM main
	 USE myStructModule

	 INTERFACE
	  SUBROUTINE print( x )
	   USE myStructModule
	   TYPE(myStruct) :: x
          END SUBROUTINE
	 END INTERFACE


	 TYPE(myStruct) :: A

	 A%i = 4; 
	 A%f =3.14

	 CALL print(A)

         print *, "After print(A):"
         print *, "myStruct A = ", A
	END PROGRAM
